Search Colourbox downloads
const url = 'https://api.colourbox.com/search/colourbox/download?media_count=500&media_offset=0&media_type=image%2Bvideo&orientation=horizontal&thumbnail_size=110px&order=relevance&direction=asc&resolution=a3&query_type=strict_and_search&exclude_expired_media=false&lang=en';const options = {method: 'GET', headers: {Authorization: 'CBX-SIMPLE-TOKEN Token=<token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.colourbox.com/search/colourbox/download?media_count=500&media_offset=0&media_type=image%2Bvideo&orientation=horizontal&thumbnail_size=110px&order=relevance&direction=asc&resolution=a3&query_type=strict_and_search&exclude_expired_media=false&lang=en' \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>'It is not possible to get your own media as part of the result on this search endpoint. Please refer to GET: /search for details on how to search in your own material.
You need to have access to your Colourbox downloads in order to use this endpoint. Please see Colourbox Downloads.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”The query string that you want to search for, e.g. “cat”. See Search Algorithm for details on which fields are matched.
Specifies which values you want back. The list should be a string with + as separator, e.g. unique_media_id+keywords. See Return Values for a complete list.
Limits the number of results. Assumed default if omitted.
How many rows should be skipped from the start of the result. Mainly used for pagination.
Example
image+videoSpecifies the type of media you are searching for, and the value must be one of the following: “image”, “vector”, “video” and “generic”. If not set, we include media from all types. You can specify multiple by separating them with a “+”.
Limits the search to only being done on the given unique medias. Multiple unique media IDs should be concatenated with “+”
If you want to filter by dates, you specify either created or camera_created. Created is the point in time when we got a hold of the image. Camera created is the point in time when the picture was taken, given the camera wrote the camera created exif tag.
Specifies the min. date for the date filter field. 2016-03-14T12:23:51Z. This is greater than or equal.
Specifies the max date for the date filter field. This is less than or equal.
Limits search to media of specified orientation
Returned thumbnail URLs in the selected size, if thumbnail_url or thumbnail_url_ssl is given in return_values.
Order the search result. Created is the time the media was imported into the Colourbox system.
Specify the direction of the ordering. Note that this option can only be given if order is given as well.
This will restrict the search result to images which has resolution at least a4 or a3.
Specifies the minimum width.
Specifies the minimum height.
Specifies the query type.
- strict_and_search - Search result which only matches whole words
- wildcards - Result which bends over backwards to provide as many results as possible
Specifies if expired media should be excluded from the search
yyyy-mm-dd, Specifies to only include media with expiration date grater or equal to the date specified.
yyyy-mm-dd Specifies to only include media with expiration date less or equal to the date specified.
Specifies a search language.
Responses
Section titled “Responses”Response similar to /search
object
object
object
Example generated
{ "response": { "hits": 1, "media": [ {} ] }}